# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'sg_common/version'

Gem::Specification.new do |spec|
  spec.name          = 'sg_common'
  spec.version       = SgCommon::VERSION
  spec.authors       = ['Michal Knapik', 'Tomasz Gurgul']
  spec.email         = ['michal.knapik@u2i.com']
  spec.summary       = %q{Common code shared between SocialGuide projects.}
  spec.description   = %q{.}
  spec.homepage      = ''
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  rails_version = ENV['RAILS_VERSION'] || 'default'

  if rails_version == 'default'
    spec.add_dependency 'activesupport'
  else
    spec.add_dependency 'activesupport', "~> #{rails_version}"
  end

  spec.add_dependency 'tzinfo'

  if rails_version != 'default' && rails_version < '3.0'
    if RUBY_VERSION >= '2.0'
      spec.add_dependency 'iconv'
    end
  end

  spec.add_development_dependency 'guard'
  spec.add_development_dependency 'guard-rspec'
  spec.add_development_dependency 'guard-rubocop'

  spec.add_development_dependency 'u2i-ci_utils', '~> 1.0.2'

  spec.add_development_dependency 'bundler', '~> 1.5'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec', '< 3.0.0'
  spec.add_development_dependency 'timecop'

  spec.required_ruby_version = '>= 1.9.3'
  spec.required_rubygems_version = '>= 1.8.25'
end
